!XMLNode class methodsFor: 'services' stamp: 'DSM 10/24/2000 17:16'!
getXML: completeURL
	"return an XMLRootNode representing the response to completeURL"

	| responseDocument |

	responseDocument := HTTPSocket httpGet: completeURL.
	^(responseDocument isKindOf: String) ifTrue: [
		"Bob say: 'http error ',completeURL,' : ',responseDocument."
		nil
	] ifFalse: [
		XMLReader fromStream: responseDocument
	]

	! !

!XMLNode class methodsFor: 'services' stamp: 'DSM 10/24/2000 17:16'!
getXML: urlSuffix fromServer: urlDomain
	"return an XMLRootNode representing the response to urlSuffix on server urlDomain"

	| url socket |
	url := urlDomain,urlSuffix.
	socket := HTTPSocket httpGet: url.
	^(socket isKindOf: String) 
		ifTrue: [
			"Bob say: 'http error ',urlDomain,urlSuffix,' : ',socket."
			nil] 
		ifFalse: [
			XMLReader fromStream: socket]

	! !

